summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rwxr-xr-xPKGBUILD32
2 files changed, 48 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3ad6d423ddd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+# Generated by mksrcinfo v8
+# Sat Feb 13 12:06:34 UTC 2016
+pkgbase = pizmidi-git
+ pkgdesc = VST plugin architecture for Faust
+ pkgver = 43.6c827fa
+ pkgrel = 1
+ url = https://bitbucket.org/agraef/pizmidi/
+ arch = i686
+ arch = x86_64
+ license = LGPL
+ depends = steinberg-vst36
+ source = git+https://bitbucket.org/agraef/pizmidi
+ md5sums = SKIP
+
+pkgname = pizmidi-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..16d0899d508
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Albert Graef <aggraef at gmail dot com>
+
+pkgname=pizmidi-git
+pkgver=43.6c827fa
+pkgrel=1
+pkgdesc="VST plugin architecture for Faust"
+arch=("i686" "x86_64")
+license=('LGPL')
+url="https://bitbucket.org/agraef/pizmidi/"
+depends=('steinberg-vst36')
+makedepends=()
+source=("git+https://bitbucket.org/agraef/pizmidi")
+md5sums=(SKIP)
+
+pkgver() {
+ cd $srcdir/pizmidi
+ echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+}
+
+build() {
+ cd $srcdir/pizmidi/pizmidi
+ make || return 1
+}
+
+package() {
+ cd $srcdir/pizmidi/Release
+ mkdir -p "$pkgdir/usr/lib/vst/pizmidi"
+ cp *.so *.ini "$pkgdir/usr/lib/vst/pizmidi"
+ mkdir -p "$pkgdir/usr/share/doc/$pkgname"
+ install -m644 ../README* pizmidi.txt "piz midi VST plugins.pdf" "$pkgdir/usr/share/doc/$pkgname/"
+ cp -R doc "$pkgdir/usr/share/doc/$pkgname/"
+}